Page MenuHomePhabricator

Install Extension:Newsletter on Meta
Closed, DeclinedPublic

Description

Hello, as a member of the TWUG (Tremendous Wiktionary User Group), we are looking for a way to mass ping all the affiliates of the group. Initially we created a template to mass ping all the affiliates, but it has been deleted. At that time it was not possible to ping massively the affiliates without typing all their username.
Then @Whatamidoing-WMF proposed me to try Extension:Newsletter as a solution. Yet, it appears that this extension is not installed on Meta.
So, could anyone install it on this website?
Thanks in advance.

Event Timeline

Pamputt created this task.Jun 24 2019, 5:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 24 2019, 5:34 PM
Urbanecm changed the task status from Open to Stalled.Jun 25 2019, 2:37 PM
Urbanecm added a subscriber: Urbanecm.

Hello, technically, we can install the extension at Meta. Doing so would require community consensus at Meta. Please raise a discussion about it at https://meta.wikimedia.org/wiki/Meta:Babel or other appropriate place, wait for consensus and then link it here. Otherwise, the extension can't be installed.

I'm afraid this can't happen. Per https://gerrit.wikimedia.org/r/#/c/operations/mediawiki-config/+/381537/ MediaWiki-extensions-Newsletter deployment on other wikis outside mediawiki.org was blocked. If the concerns that led to the blocking of that patch are now resolved is something that I ignore nowadays though.

So this is blocked on lack of interwiki support in the Newsletter extension, or what's the reason? That would be T110645.

Urbanecm added a subscriber: Qgil.Jun 25 2019, 5:47 PM

@Qgil Since you commented in https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/+/381537/, can you please comment here?

@MarcoAurelio Thanks, good catch.

Qgil added a comment.Jun 27 2019, 9:20 AM

Yes, back in the day the agreement was that the Newsletter extension should stay in MediaWiki.org until interwiki support was implemented. A big promise of this extension was the possibility to offer one single index with all the Wikimedia newsletters regardless of which was their "home wiki". If the extension is enabled in other wikis right now, we will have multiple local indexes and another point of fragmentation.

One option available right right now would be to create your newsletter in MediaWiki.org and subscribe your members there. Thanks to inter-wiki notifications, whenever you post something they will see the ping in whatever wiki they are using anyway.

(If you want to become a tester / early adopter, you could also consider the possibility of trying out Wikimedia Space, where we could provide "a way to mass ping all the affiliates of the group". Since this is off-topic here, I am happy to discuss further details wherever you tell me, if you are interested.)

Urbanecm closed this task as Declined.Jun 27 2019, 1:55 PM

Given implementing interwiki support will take a lot of time, I'm marking this as declined per @Qgil.